<!-- -------------------- ./doc/content/modals/pass-adm_modal.html -------------------- -->

<dialog
  aria-labelledby="pass-adm-title"
  id="pass-adm"
  class="fr-modal"
  role="dialog" data-fr-concealing-backdrop="false"
>
  <div class="fr-container fr-container--fluid fr-container-md">
    <div class="fr-grid-row fr-grid-row--center">
      <div class="fr-col-12 fr-col-md-8 fr-col-lg-6">
        <div class="fr-modal__body">
          <div class="fr-modal__header">
            <button class="fr-btn--close fr-btn" aria-controls="pass-adm">
              Fermer
            </button>
          </div>
          <form method="post" action="<?php echo $this->URL->GetDosMethod('PassAdm'); ?>" >
            <div class="fr-modal__content">
              <h1 id="pass-adm-title" class="fr-modal__title">
                <span class="fr-icon-edit-line fr-fi--lg"></span> Modifier
              </h1>
              <p>
                  Pour pouvoir modifier le porte-document,
                  veuillez saisir le mot de passe administrateur du porte-documents.
              </p>
              <input name="DID" value="<?php echo $this->DOSINFO['did']; ?>" type="hidden">
        
              <div class="fr-input-group">
                  <label class="fr-label" for="PASSADM">Mot de passe administrateur</label>
                  <input class="fr-input" id="PASSADM" name="PASSADM" type="password">
              </div>
            </div>

            <div class="fr-modal__footer">
              <ul
                class="fr-btns-group fr-btns-group--right fr-btns-group--inline-reverse fr-btns-group--inline-lg fr-btns-group--icon-left"
              >
                <li>
                  <button class="fr-btn fr-icon-lock-line" type="submit">OK</button>
                </li>
                <li>
                  <button class="fr-btn fr-icon-close-line fr-btn--secondary" aria-controls="pass-adm" onclick="event.preventDefault()">
                    Annuler
                  </button>
                </li>
              </ul>
            </div>
          </form>
        </div>
      </div>
    </div>
  </div>
</dialog>
